Bug 117957 - No usable version of smbldap-tools included with Samba
No usable version of smbldap-tools included with Samba
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 08:38 EST by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-03-10 08:38:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
After much pulling hair out while trying to achive the impossible task
of setting up a Samba based PDC server with an LDAP backend, it has
become apparent that a separate package called "smbldap-tools" is
required before Samba is usable with an LDAP backend.

This package is included in the Samba docs directory, but certainly
not in any usable form.

I have been forced to install an externally supplied RPM of this
package to work around this problem. RHEL can hardly be called an
"enterprise" server if it does not support LDAP properly.


Version-Release number of selected component (if applicable):
samba-3.0.2-6.3E

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 David Lawrence 2004-03-15 15:19:51 EST
Changing product and version.
Comment 2 Robert Buffington 2004-03-28 20:45:55 EST
More information, now that I am running into this problem in Fedora 
Core 1 (package samba-3.0.2-7.FC1)...

Here is the error when running one of the scripts (after manually 
installing them to /usr/local/sbin):

Can't locate Net/LDAP.pm in @INC (@INC 
contains: /usr/local/sbin/ /usr/lib/perl5/5.8.3/i386-linux-thread-
multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i386-linux-
thread-multi /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /u
sr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/p
erl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.
2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /u
sr/lib/perl5/vendor_perl .) at /usr/local/sbin//smbldap_tools.pm line 
5.
BEGIN failed--compilation aborted 
at /usr/local/sbin//smbldap_tools.pm line 5.
Compilation failed in require at /usr/local/sbin/smbldap-usershow.pl 
line 29.
BEGIN failed--compilation aborted at /usr/local/sbin/smbldap-
usershow.pl line 29.

This clearly shows that Net/LDAP.pm is missing which is part of a 
perl-ldap RPM which strangely is not available for any Red Hat Linux 
from what I can see. These scripts are extremely valuable to 
Samba/LDAP and although you do have a choice to remove them from the 
Samba package, it would be much nicer if you could provide a perl-
ldap RPM so that they work. Net/LDAP.pm is NOT THE SAME as 
URI/ldap.pm which gets installed with perl.
Comment 3 RHEL Product and Program Management 2007-10-19 15:29:14 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.